summaryrefslogtreecommitdiffstats
path: root/test/run_errormsg_test.sh
diff options
context:
space:
mode:
authorQC <qball@gmpclient.org>2014-08-29 15:21:10 +0200
committerQC <qball@gmpclient.org>2014-08-29 15:21:10 +0200
commitf41657476e02056d26705484860191ba3c04150a (patch)
tree41f4a29c9a11fd0a32c56abb6d81f853235c257c /test/run_errormsg_test.sh
parent12258eb02bfe31dc825fc448e978627a8a741b7d (diff)
Add missing test file.
Diffstat (limited to 'test/run_errormsg_test.sh')
-rwxr-xr-xtest/run_errormsg_test.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/run_errormsg_test.sh b/test/run_errormsg_test.sh
new file mode 100755
index 00000000..d9ccf220
--- /dev/null
+++ b/test/run_errormsg_test.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+# Create fake X
+Xvfb :200 &
+XPID=$!
+
+# wait till it is up, run rofi with error message
+sleep 1 && ./rofi -e "Printing error message" -display :200 &
+RPID=$!
+
+# send enter.
+sleep 5 && DISPLAY=:200 xdotool key Return
+
+# Get result, kill xvfb
+wait ${RPID}
+RETV=$?
+kill ${XPID}
+exit ${RETV}